<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(mainContent=~{::mainContent})}">
<body>
    <div th:fragment="mainContent">
        <div class="row">
            <div class="col-md-12">
                <h2>Properties :</h2>
                <div>Server name : <span th:text="${#request.serverName}"></span></div>
                <div>Context path : <span th:text="${#request.contextPath}"></span></div>
                <div>Local addr : <span th:text="${#request.localAddr}"></span></div>
                <div>Local name : <span th:text="${#request.localName}"></span></div>
                <div>Local port : <span th:text="${#request.localPort}"></span></div>
                <div>Path info : <span th:text="${#request.pathInfo}"></span></div>
                <div>Path translated : <span th:text="${#request.pathTranslated}"></span></div>
                <div>Query string : <span th:text="${#request.queryString}"></span></div>
                <div>Remote host : <span th:text="${#request.remoteHost}"></span></div>
                <div>Request URI : <span th:text="${#request.requestURI}"></span></div>
                <div>Request URL : <span th:text="${#request.requestURL}"></span></div>
                <div>Servlet path : <span th:text="${#request.servletPath}"></span></div>
                <h2>Headers :</h2>
                <div th:each="key : ${#request.headerNames}"><span th:text="${key}"></span> : <span th:text="${#request.getHeader(key)}"></span></div>
            </div>
        </div>
    </div>
</body>
</html>
